Removes a field from the document

- « SolrDocument::unserialize

- SolrDocument::valid »

- PHP Manual
- SolrDocument
- Removes a field from the document

# SolrDocument::__unset

(PECL solr >= 0.9.2)

SolrDocument::__unset — Removes a field from the document

### Description

public SolrDocument::__unset(string `$fieldName`): bool

Removes a field from the document when the field is access as an object property.

### Parameters

`fieldName`

  The name of the field.

### Return Values

Returns `true` on success or `false` on failure.